Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class SortPropertyKey

    java.lang.Object
      portlets.compoze.groupware.SortPropertyKey

All Implemented Interfaces:
  java.io.Serializable

public class SortPropertyKey
extends java.lang.Object
implements java.io.Serializable

This class represents a sort property key.

See Also:
  Serialized Form

Field Summary
`static SortPropertyKey` | `ADDRESS_BOOK_LAST_NAME` This value represents the 'address book - last name' property key.
`static SortPropertyKey` | `CONTACT_COMPANY_NAME` This value represents the 'contact - company name' property key.
`static SortPropertyKey` | `CONTACT_EMAIL` This value represents the 'email' property key.
`static SortPropertyKey` | `CONTACT_FIRST_NAME` This value represents the 'contact - first name' property key.
`static SortPropertyKey` | `CONTACT_LAST_NAME` This value represents the 'contact - last name' property key.
`static SortPropertyKey` | `MAIL_DATE` This value represents the 'mail - date' property key.
`static SortPropertyKey` | `MAIL_FROM` This value represents the 'mail - from' property key.
`static SortPropertyKey` | `MAIL_SUBJECT` This value represents the 'mail - subject' property key.
`static SortPropertyKey` | `MAIL_TO` This value represents the 'mail - to' property key.
`static SortPropertyKey` | `TASKS_DUE_DATE` This value represents the 'tasks - due date' property key.
`static SortPropertyKey` | `TASKS_IMPORTANCE` This value represents the 'tasks - importance' property key.
`static SortPropertyKey` | `TASKS_STATUS` This value represents the 'tasks - status' property key.
`static SortPropertyKey` | `TASKS_SUBJECT` This value represents the 'tasks - subject' property key.
`static int` | `VALUE_ADDRESS_BOOK_LAST_NAME` This value represents the 'address book - last name' value.
`static int` | `VALUE_CONTACT_COMPANY_NAME` This value represents the 'contact - company name' value.
`static int` | `VALUE_CONTACT_EMAIL` This value represents the 'email' value.
`static int` | `VALUE_CONTACT_FIRST_NAME` This value represents the 'contact - first name' value.
`static int` | `VALUE_CONTACT_LAST_NAME` This value represents the 'contact - last name' value.
`static int` | `VALUE_MAIL_DATE` This value represents the 'mail - date' value.
`static int` | `VALUE_MAIL_FROM` This value represents the 'mail - from' value.
`static int` | `VALUE_MAIL_SUBJECT` This value represents the 'mail - subject' value.
`static int` | `VALUE_MAIL_TO` This value represents the 'mail - to' value.
`static int` | `VALUE_TASKS_DUE_DATE` This value represents the 'tasks - due date' value.
`static int` | `VALUE_TASKS_IMPORTANCE` This value represents the 'tasks - importance' value.
`static int` | `VALUE_TASKS_STATUS` This value represents the 'tasks - status' value.
`static int` | `VALUE_TASKS_SUBJECT` This value represents the 'tasks - subject' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static SortPropertyKey` | `get(int iValue)` Gets the property key by the value.
`static java.util.List` | `getKeys()` Gets the list of sort property keys.
`int` | `getValue()` Gets the value of the property key.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_MAIL_FROM

    public static final int VALUE_MAIL_FROM

  This value represents the 'mail - from' value.

  See Also:
    Constant Field Values

### VALUE_MAIL_DATE

    public static final int VALUE_MAIL_DATE

  This value represents the 'mail - date' value.

  See Also:
    Constant Field Values

### VALUE_MAIL_SUBJECT

    public static final int VALUE_MAIL_SUBJECT

  This value represents the 'mail - subject' value.

  See Also:
    Constant Field Values

### VALUE_MAIL_TO

    public static final int VALUE_MAIL_TO

  This value represents the 'mail - to' value.

  See Also:
    Constant Field Values

### VALUE_ADDRESS_BOOK_LAST_NAME

    public static final int VALUE_ADDRESS_BOOK_LAST_NAME

  This value represents the 'address book - last name' value.

  See Also:
    Constant Field Values

### VALUE_CONTACT_FIRST_NAME

    public static final int VALUE_CONTACT_FIRST_NAME

  This value represents the 'contact - first name' value.

  See Also:
    Constant Field Values

### VALUE_CONTACT_LAST_NAME

    public static final int VALUE_CONTACT_LAST_NAME

  This value represents the 'contact - last name' value.

  See Also:
    Constant Field Values

### VALUE_CONTACT_COMPANY_NAME

    public static final int VALUE_CONTACT_COMPANY_NAME

  This value represents the 'contact - company name' value.

  See Also:
    Constant Field Values

### VALUE_TASKS_IMPORTANCE

    public static final int VALUE_TASKS_IMPORTANCE

  This value represents the 'tasks - importance' value.

  See Also:
    Constant Field Values

### VALUE_TASKS_SUBJECT

    public static final int VALUE_TASKS_SUBJECT

  This value represents the 'tasks - subject' value.

  See Also:
    Constant Field Values

### VALUE_TASKS_DUE_DATE

    public static final int VALUE_TASKS_DUE_DATE

  This value represents the 'tasks - due date' value.

  See Also:
    Constant Field Values

### VALUE_TASKS_STATUS

    public static final int VALUE_TASKS_STATUS

  This value represents the 'tasks - status' value.

  See Also:
    Constant Field Values

### VALUE_CONTACT_EMAIL

    public static final int VALUE_CONTACT_EMAIL

  This value represents the 'email' value.

  See Also:
    Constant Field Values

### MAIL_FROM

    public static final SortPropertyKey MAIL_FROM

  This value represents the 'mail - from' property key.

### MAIL_DATE

    public static final SortPropertyKey MAIL_DATE

  This value represents the 'mail - date' property key.

### MAIL_SUBJECT

    public static final SortPropertyKey MAIL_SUBJECT

  This value represents the 'mail - subject' property key.

### MAIL_TO

    public static final SortPropertyKey MAIL_TO

  This value represents the 'mail - to' property key.

### ADDRESS_BOOK_LAST_NAME

    public static final SortPropertyKey ADDRESS_BOOK_LAST_NAME

  This value represents the 'address book - last name' property key.

### CONTACT_FIRST_NAME

    public static final SortPropertyKey CONTACT_FIRST_NAME

  This value represents the 'contact - first name' property key.

### CONTACT_LAST_NAME

    public static final SortPropertyKey CONTACT_LAST_NAME

  This value represents the 'contact - last name' property key.

### CONTACT_COMPANY_NAME

    public static final SortPropertyKey CONTACT_COMPANY_NAME

  This value represents the 'contact - company name' property key.

### TASKS_DUE_DATE

    public static final SortPropertyKey TASKS_DUE_DATE

  This value represents the 'tasks - due date' property key.

### TASKS_SUBJECT

    public static final SortPropertyKey TASKS_SUBJECT

  This value represents the 'tasks - subject' property key.

### TASKS_IMPORTANCE

    public static final SortPropertyKey TASKS_IMPORTANCE

  This value represents the 'tasks - importance' property key.

### TASKS_STATUS

    public static final SortPropertyKey TASKS_STATUS

  This value represents the 'tasks - status' property key.

### CONTACT_EMAIL

    public static final SortPropertyKey CONTACT_EMAIL

  This value represents the 'email' property key.

Method Detail

### getValue

    public int getValue()

  Gets the value of the property key.

  Returns:
    the value (see `VALUE_` constants)

### getKeys

    public static java.util.List getKeys()

  Gets the list of sort property keys.

  Returns:
    the list of `SortPropertyKey` objects (unmodifable)

### get

    public static SortPropertyKey get(int iValue)

  Gets the property key by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching property key or `null` if not found

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.